__gnu_pbds::detail::bin_search_tree_traits< Key, Mapped, Cmp_Fn, Node_Update, Node, _Alloc >(3)

NAME
__gnu_pbds::detail::bin_search_tree_traits< Key, Mapped, Cmp_Fn, Node_Update, Node, _Alloc > -

SYNOPSIS

  Public Types
typedef
bin_search_tree_const_it_
< typename _Alloc::template
rebind< node >::other::pointer,
typename
type_traits::value_type,
typename type_traits::pointer,
typename
type_traits::const_pointer,
typename
type_traits::reference,
typename
type_traits::const_reference,
false, _Alloc > const_reverse_iterator"
typedef Node node
typedef
bin_search_tree_const_node_it_
< Node, point_const_iterator,
point_iterator, _Alloc > node_const_iterator"
typedef
bin_search_tree_node_it_< Node,
point_const_iterator,
point_iterator, _Alloc > node_iterator"
typedef Node_Update
< node_const_iterator,
node_iterator, Cmp_Fn, _Alloc > node_update"
typedef
__gnu_pbds::null_node_update
< node_const_iterator,
node_iterator, Cmp_Fn, _Alloc > * null_node_update_pointer"
typedef
bin_search_tree_const_it_
< typename _Alloc::template
rebind< node >::other::pointer,
typename
type_traits::value_type,
typename type_traits::pointer,
typename
type_traits::const_pointer,
typename
type_traits::reference,
typename
type_traits::const_reference,
true, _Alloc > point_const_iterator"
typedef bin_search_tree_it_
< typename _Alloc::template
rebind< node >::other::pointer,
typename
type_traits::value_type,
typename type_traits::pointer,
typename
type_traits::const_pointer,
typename
type_traits::reference,
typename
type_traits::const_reference,
true, _Alloc > point_iterator"
typedef bin_search_tree_it_
< typename _Alloc::template
rebind< node >::other::pointer,
typename
type_traits::value_type,
typename type_traits::pointer,
typename
type_traits::const_pointer,
typename
type_traits::reference,
typename
type_traits::const_reference,
false, _Alloc > reverse_iterator"

Detailed Description

  template<typename Key, typename Mapped, class Cmp_Fn, template< typename Node_CItr, class Node_Itr, class Cmp_Fn, typename _Alloc > class Node_Update, class Node, typename _Alloc>struct __gnu_pbds::detail::bin_search_tree_traits< Key, Mapped, Cmp_Fn, Node_Update, Node, _Alloc >
Binary search tree traits, primary template.

Definition at line 63 of file bin_search_tree_/traits.hpp.

Member Typedef Documentation

  template<typename Key, typename Mapped, class Cmp_Fn, template< typename Node_CItr, class Node_Itr, class Cmp_Fn, typename _Alloc > class Node_Update, class Node, typename _Alloc> typedef bin_search_tree_const_node_it_< Node, point_const_iterator, point_iterator, _Alloc> __gnu_pbds::detail::bin_search_tree_traits< Key, Mapped, Cmp_Fn, Node_Update, Node, _Alloc >::node_const_iterator

This is an iterator to an iterator: it iterates over nodes, and de-referencing it returns one of the tree's iterators.

Definition at line 131 of file bin_search_tree_/traits.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.